Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 76174 - X desktop hangs/fails-to-start on 2.4.18-17.7.x kernel with Rage Mobility adapter
Summary: X desktop hangs/fails-to-start on 2.4.18-17.7.x kernel with Rage Mobility ada...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 7.3
Hardware: i686
OS: Linux
medium
high
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-10-17 20:15 UTC by Clark Williams
Modified: 2008-08-01 16:22 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-09-30 15:40:05 UTC


Attachments (Terms of Use)

Description Clark Williams 2002-10-17 20:15:01 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.0+) Gecko/20020519

Description of problem:
Desktop becomes unresponsive, windows fail to refresh, keyboard stops working. 

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Boot 2.4.18-17.7.x kernel
2. Login
3. startx
4. start a gnome-terminal
5. run Settings->Preferences
6. No dialog will appear.
	

Actual Results:  Windows stop responding. 'esd' shown at 99% of CPU. A 'killall
esd' while ssh'ed into the box will "fix" the problem, but gnome-terminal
windows have weird fonts (very tiny, although preferences state courier new 10pt)

When the X desktop is started, sometimes it will not get past starting X server
(only observed while on battery). When powered, the desktop starts, but windows
refuse to refresh, will not iconify/deiconify, drag. Sometimes the keyboard
works (Ctl-Alt-Bkspc) to kill X, sometimes power cycle required. Mouse cursor
responds, but mouse clicks usually don't work. Gnome-terminal using very tiny
font. Kernel is still running (login via SSH ok).

Expected Results:  X desktop should have functioned normally (as with 2.4.18-10
kernel)

Additional info:

Dell Latitude C600 w/ATI Rage Mobility M3 AGP 2x, running RHL 7.3 w/errata
kernel 2.4.18-17.7.x. 

X and kernel RPM's installed:
XFree86-100dpi-fonts-4.2.0-8
XFree86-tools-4.2.0-8
XFree86-devel-4.2.0-8
XFree86-doc-4.2.0-8
XFree86-font-utils-4.2.0-8
XFree86-base-fonts-4.2.0-8
XFree86-ISO8859-15-100dpi-fonts-4.2.0-8
XFree86-truetype-fonts-4.2.0-8
XFree86-libs-4.2.0-8
XFree86-xfs-4.2.0-8
XFree86-4.2.0-8
XFree86-ISO8859-15-75dpi-fonts-4.2.0-8
XFree86-compat-modules-3.3.6-44
XFree86-Xvfb-4.2.0-8
XFree86-xdm-4.2.0-8
XFree86-75dpi-fonts-4.2.0-8
XFree86-twm-4.2.0-8
XFree86-SVGA-3.3.6-44
kernel-2.4.18-10
kernel-source-2.4.18-17.7.x
kernel-2.4.18-17.7.x
kernel-pcmcia-cs-3.1.27-18
kernel-2.4.18-3
kernel-2.4.18-5
kernel-doc-2.4.18-17.7.x

output from lsmod:
Module                  Size  Used by    Not tainted
maestro3               27848   2  (autoclean)
ac97_codec             12224   0  (autoclean) [maestro3]
soundcore               6212   2  (autoclean) [maestro3]
r128                   93464   1 
agpgart                40256   3 
binfmt_misc             7236   1 
autofs                 11172   1  (autoclean)
orinoco_cs              5704   1 
orinoco                32672   0  [orinoco_cs]
hermes                  7264   0  [orinoco_cs orinoco]
ds                      8416   2  [orinoco_cs]
yenta_socket           12000   2 
pcmcia_core            49888   0  [orinoco_cs ds yenta_socket]
mousedev                5024   1 
hid                    20608   0  (unused)
input                   5696   0  [mousedev hid]
usb-uhci               24324   0  (unused)
usbcore                71072   1  [hid usb-uhci]
ext3                   64800   2 
jbd                    47892   2  [ext3]


output from dmesg
Linux version 2.4.18-17.7.x (bhcompile@daffy.perf.redhat.com) (gcc version 2.96
20000731 (Red Hat Linux 7.3 2.96-112)) #1 Tue Oct 8 13:33:14 EDT 2002
BIOS-provided physical RAM map:
 BIOS-e820: 0000000000000000 - 000000000009fc00 (usable)
 BIOS-e820: 000000000009fc00 - 00000000000a0000 (reserved)
 BIOS-e820: 00000000000c0000 - 00000000000cc000 (reserved)
 BIOS-e820: 0000000000100000 - 000000000ffec000 (usable)
 BIOS-e820: 000000000ffec000 - 000000000fff0000 (reserved)
 BIOS-e820: 00000000100a0000 - 0000000010100000 (reserved)
 BIOS-e820: 00000000ffe00000 - 0000000100000000 (reserved)
0MB HIGHMEM available.
255MB LOWMEM available.
On node 0 totalpages: 65516
zone(0): 4096 pages.
zone(1): 61420 pages.
zone(2): 0 pages.
Dell Latitude C600 machine detected. Mousepad Resume Bug workaround enabled.
Kernel command line: ro root=/dev/hda2
Initializing CPU#0
Detected 751.706 MHz processor.
Speakup v-1.00 CVS: Tue Jun 11 14:22:53 EDT 2002 : initialized
Console: colour VGA+ 80x25
Calibrating delay loop... 1494.19 BogoMIPS
Memory: 253220k/262064k available (1153k kernel code, 6412k reserved, 975k data,
160k init, 0k highmem)
Dentry cache hash table entries: 32768 (order: 6, 262144 bytes)
Inode cache hash table entries: 16384 (order: 5, 131072 bytes)
Mount cache hash table entries: 4096 (order: 3, 32768 bytes)
ramfs: mounted with options: <defaults>
ramfs: max_pages=31908 max_file_pages=0 max_inodes=0 max_dentries=31908
Buffer cache hash table entries: 16384 (order: 4, 65536 bytes)
Page-cache hash table entries: 65536 (order: 6, 262144 bytes)
CPU: Before vendor init, caps: 0383f9ff 00000000 00000000, vendor = 0
CPU: L1 I cache: 16K, L1 D cache: 16K
CPU: L2 cache: 256K
CPU: After vendor init, caps: 0383f9ff 00000000 00000000 00000000
Intel machine check architecture supported.
Intel machine check reporting enabled on CPU#0.
CPU:     After generic, caps: 0383f9ff 00000000 00000000 00000000
CPU:             Common caps: 0383f9ff 00000000 00000000 00000000
CPU: Intel Pentium III (Coppermine) stepping 06
Enabling fast FPU save and restore... done.
Enabling unmasked SIMD FPU exception support... done.
Checking 'hlt' instruction... OK.
POSIX conformance testing by UNIFIX
mtrr: v1.40 (20010327) Richard Gooch (rgooch@atnf.csiro.au)
mtrr: detected mtrr type: Intel
PCI: PCI BIOS revision 2.10 entry at 0xfc13e, last bus=1
PCI: Using configuration type 1
PCI: Probing PCI hardware
PCI: Discovered primary peer bus 08 [IRQ]
PCI: Using IRQ router PIIX [8086/7110] at 00:07.0
Limiting direct PCI/PCI transfers.
isapnp: Scanning for PnP cards...
isapnp: No Plug & Play device found
speakup:  initialized device: /dev/synth, node (MAJOR 10, MINOR 25)
Linux NET4.0 for Linux 2.4
Based upon Swansea University Computer Society NET3.039
Initializing RT netlink socket
apm: BIOS version 1.2 Flags 0x03 (Driver version 1.16)
Starting kswapd
VFS: Diskquotas version dquot_6.5.0 initialized
pty: 2048 Unix98 ptys configured
Serial driver version 5.05c (2001-07-08) with MANY_PORTS MULTIPORT SHARE_IRQ
SERIAL_PCI ISAPNP enabled
ttyS0 at 0x03f8 (irq = 4) is a 16550A
ttyS2 at 0x03e8 (irq = 4) is a 16550A
Real Time Clock Driver v1.10e
block: 480 slots per queue, batch=120
Uniform Multi-Platform E-IDE driver Revision: 6.31
ide: Assuming 33MHz system bus speed for PIO modes; override with idebus=xx
PIIX4: IDE controller on PCI bus 00 dev 39
PIIX4: chipset revision 1
PIIX4: not 100% native mode: will probe irqs later
    ide0: BM-DMA at 0x0860-0x0867, BIOS settings: hda:DMA, hdb:pio
hda: IBM-DJSA-220, ATA DISK drive
ide2: ports already in use, skipping probe
ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
blk: queue c0385f84, I/O limit 4095Mb (mask 0xffffffff)
blk: queue c0385f84, I/O limit 4095Mb (mask 0xffffffff)
hda: 39070080 sectors (20004 MB) w/1874KiB Cache, CHS=2432/255/63, UDMA(33)
ide-floppy driver 0.99.newide
Partition check:
 hda: hda1 hda2 hda3
Floppy drive(s): fd0 is 1.44M
FDC 0 is a post-1991 82077
NET4: Frame Diverter 0.46
RAMDISK driver initialized: 16 RAM disks of 4096K size 1024 blocksize
ide-floppy driver 0.99.newide
md: md driver 0.90.0 MAX_MD_DEVS=256, MD_SB_DISKS=27
md: Autodetecting RAID arrays.
md: autorun ...
md: ... autorun DONE.
NET4: Linux TCP/IP 1.0 for NET4.0
IP Protocols: ICMP, UDP, TCP, IGMP
IP: routing cache hash table of 2048 buckets, 16Kbytes
TCP: Hash tables configured (established 16384 bind 16384)
Linux IP multicast router 0.06 plus PIM-SM
NET4: Unix domain sockets 1.0/SMP for Linux NET4.0.
RAMDISK: Compressed image found at block 0
Freeing initrd memory: 120k freed
VFS: Mounted root (ext2 filesystem).
Journalled Block Device driver loaded
EXT3-fs: INFO: recovery required on readonly filesystem.
EXT3-fs: write access will be enabled during recovery.
kjournald starting.  Commit interval 5 seconds
EXT3-fs: ide0(3,2): orphan cleanup on readonly fs
ext3_orphan_cleanup: deleting unreferenced inode 1080321
ext3_orphan_cleanup: deleting unreferenced inode 1733825
ext3_orphan_cleanup: deleting unreferenced inode 1733743
EXT3-fs: ide0(3,2): 3 orphan inodes deleted
EXT3-fs: recovery complete.
EXT3-fs: mounted filesystem with ordered data mode.
Freeing unused kernel memory: 160k freed
Adding Swap: 522104k swap-space (priority -1)
usb.c: registered new driver usbdevfs
usb.c: registered new driver hub
usb-uhci.c: $Revision: 1.275 $ time 13:43:25 Oct  8 2002
usb-uhci.c: High bandwidth mode enabled
PCI: Found IRQ 11 for device 00:07.2
PCI: Sharing IRQ 11 with 00:03.0
PCI: Sharing IRQ 11 with 00:03.1
PCI: Sharing IRQ 11 with 00:10.0
PCI: Sharing IRQ 11 with 00:10.1
usb-uhci.c: USB UHCI at I/O 0xdce0, IRQ 11
usb-uhci.c: Detected 2 ports
usb.c: new USB bus registered, assigned bus number 1
hub.c: USB hub found
hub.c: 2 ports detected
usb-uhci.c: v1.275:USB Universal Host Controller Interface driver
hub.c: USB new device connect on bus1/1, assigned device number 2
usb.c: USB device 2 (vend/prod 0x46d/0xc00e) is not claimed by any active driver.
usb.c: registered new driver hiddev
usb.c: registered new driver hid
input0: USB HID v1.10 Mouse [Logitech USB-PS/2 Optical Mouse] on usb1:2.0
hid-core.c: v1.8.1 Andreas Gal, Vojtech Pavlik <vojtech@suse.cz>
hid-core.c: USB HID support drivers
mice: PS/2 mouse device common for all mice
EXT3 FS 2.4-0.9.18, 14 May 2002 on ide0(3,2), internal journal
kjournald starting.  Commit interval 5 seconds
EXT3 FS 2.4-0.9.18, 14 May 2002 on ide0(3,1), internal journal
EXT3-fs: mounted filesystem with ordered data mode.
blk: queue c0385f84, I/O limit 4095Mb (mask 0xffffffff)
parport0: PC-style at 0x378 (0x778) [PCSPP,TRISTATE]
parport0: irq 7 detected
Linux Kernel Card Services 3.1.22
  options:  [pci] [cardbus] [pm]
PCI: Found IRQ 11 for device 00:03.0
PCI: Sharing IRQ 11 with 00:03.1
PCI: Sharing IRQ 11 with 00:07.2
PCI: Sharing IRQ 11 with 00:10.0
PCI: Sharing IRQ 11 with 00:10.1
PCI: Found IRQ 11 for device 00:03.1
PCI: Sharing IRQ 11 with 00:03.0
PCI: Sharing IRQ 11 with 00:07.2
PCI: Sharing IRQ 11 with 00:10.0
PCI: Sharing IRQ 11 with 00:10.1
Yenta IRQ list 0698, PCI irq11
Socket status: 30000006
Yenta IRQ list 0698, PCI irq11
Socket status: 30000010
cs: IO port probe 0x0c00-0x0cff: clean.
cs: IO port probe 0x0100-0x04ff: excluding 0x290-0x297 0x378-0x37f 0x4d0-0x4d7
cs: IO port probe 0x0a00-0x0aff: clean.
cs: memory probe 0xa0000000-0xa0ffffff: clean.
hermes.c: 5 Apr 2002 David Gibson <hermes@gibson.dropbear.id.au>
orinoco.c 0.11b (David Gibson <hermes@gibson.dropbear.id.au> and others)
orinoco_cs.c 0.11b (David Gibson <hermes@gibson.dropbear.id.au> and others)
divert: allocating divert_blk for eth0
eth0: Station identity 001f:0001:0007:001c
eth0: Looks like a Lucent/Agere firmware version 7.28
eth0: Ad-hoc demo mode supported
eth0: IEEE standard IBSS ad-hoc mode supported
eth0: WEP supported, 104-bit key
eth0: MAC address 00:02:2D:49:4F:5C
eth0: Station name "HERMES I"
eth0: ready
eth0: index 0x01: Vcc 5.0, irq 3, io 0x0100-0x013f
Linux agpgart interface v0.99 (c) Jeff Hartmann
agpgart: Maximum main memory to use for agp memory: 203M
agpgart: Detected Intel 440BX chipset
agpgart: AGP aperture is 64M @ 0xe0000000
[drm] AGP 0.99 on Intel 440BX @ 0xe0000000 64MB
[drm] Initialized r128 2.2.0 20010917 on minor 0
maestro3: version 1.23 built at 13:44:52 Oct  8 2002
PCI: Found IRQ 5 for device 00:08.0
maestro3: Configuring ESS Maestro3(i) found at IO 0xD800 IRQ 5
maestro3:  subvendor id: 0x00b11028
ac97_codec: AC97 Audio codec, id: 0x8384:0x7609 (SigmaTel STAC9721/23)
spurious 8259A interrupt: IRQ7.

Comment 1 Need Real Name 2002-10-18 20:22:58 UTC
This looks like it should be part of bug #76171: maestro3 driver from new errata
kernel -> esd hangs.

Comment 2 Bugzilla owner 2004-09-30 15:40:05 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.